<?php 

	$chalak_driving_school_custom_style = '';

	// Global color
	$chalak_driving_school_theme_color = get_theme_mod('chalak_driving_school_theme_color');

	if( $chalak_driving_school_theme_color != ''){

		$chalak_driving_school_custom_style .=' button, input[type="button"], input[type="submit"], button:hover, button:focus, input[type="button"]:hover, input[type="button"]:focus, input[type="submit"]:hover, input[type="submit"]:focus, #sidelong-menu, .nav-menu ul ul a, hr.hr-hr, .read-btn a.blogbutton-small, #our-services .read-btn a.blogbutton-small, #our-services hr.hr-hr, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li, .page-numbers.current, .prev.page-numbers, .next.page-numbers, a.more-link, .site-footer .widget-area .tagcloud a:hover, .site-footer button.search-submit, .copyright, #sidebar h3.widget-title, #sidebar .tagcloud a:hover, #sidebar button.search-submit, button.search-submit {';
			$chalak_driving_school_custom_style .=' background-color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' }';

		$chalak_driving_school_custom_style .=' .lz-content a, .entry-content a, .comment-body a, .text-content a, .textwidget a, .top i, .social-icons i:hover, .woocommerce-product-details__short-description a, .nav-menu ul li a:active, .nav-menu ul li a:hover, .article-text a span:hover, #slider i, #our-services .read-btn a.blogbutton-small:hover, a.showcoupon, .woocommerce-message::before, .text-content p a, #sidebar .textwidget a, .site-footer .textwidget a, .comment-content a, .entry-title a, .site-footer h3.widget-title a, h3.widget-title {';
			$chalak_driving_school_custom_style .=' color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' }';

		$chalak_driving_school_custom_style .=' .woocommerce-message {';
			$chalak_driving_school_custom_style .=' border-top-color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' }';

		$chalak_driving_school_custom_style .=' .site-footer .widget-area .tagcloud a:hover {';
			$chalak_driving_school_custom_style .=' border-color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' }';

		$chalak_driving_school_custom_style .=' .read-btn a.blogbutton-small, #slider i, #slider .read-btn a.blogbutton-small, #our-services .read-btn a.blogbutton-small:hover {';
			$chalak_driving_school_custom_style .=' outline-color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' }';

		$chalak_driving_school_custom_style .=' @media screen and (max-width:1000px) {
			.nav-menu .current_page_item > a, .nav-menu .current-menu-item > a, .nav-menu .current_page_ancestor > a, .nav-menu ul li a:hover, .site-footer h3.widget-title ';
			$chalak_driving_school_custom_style .=' color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' } }';

		$chalak_driving_school_custom_style .=' @media screen and (min-width: 67em) {
			.page-numbers:hover, .page-numbers.current ';
			$chalak_driving_school_custom_style .=' background-color: '.esc_attr($chalak_driving_school_theme_color).';';
		$chalak_driving_school_custom_style .=' } }';
	}

	// Logo Size

	$chalak_driving_school_logo_top_padding = get_theme_mod('chalak_driving_school_logo_top_padding');
	if( $chalak_driving_school_logo_top_padding != ''){
		$chalak_driving_school_custom_style .=' .site-logo {';
			$chalak_driving_school_custom_style .=' padding-top: '.esc_attr($chalak_driving_school_logo_top_padding).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_logo_bottom_padding = get_theme_mod('chalak_driving_school_logo_bottom_padding');
	if( $chalak_driving_school_logo_bottom_padding != ''){
		$chalak_driving_school_custom_style .=' .site-logo {';
			$chalak_driving_school_custom_style .=' padding-bottom: '.esc_attr($chalak_driving_school_logo_bottom_padding).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_logo_left_padding = get_theme_mod('chalak_driving_school_logo_left_padding');
	if( $chalak_driving_school_logo_left_padding != ''){
		$chalak_driving_school_custom_style .=' .site-logo {';
			$chalak_driving_school_custom_style .=' padding-left: '.esc_attr($chalak_driving_school_logo_left_padding).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_logo_right_padding = get_theme_mod('chalak_driving_school_logo_right_padding');
	if( $chalak_driving_school_logo_right_padding != ''){
		$chalak_driving_school_custom_style .=' .site-logo {';
			$chalak_driving_school_custom_style .=' padding-right: '.esc_attr($chalak_driving_school_logo_right_padding).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_logo_size = get_theme_mod('chalak_driving_school_logo_size');
	$chalak_driving_school_custom_style = ''; // Initialize the custom style variable

	if ($chalak_driving_school_logo_size !== '') {
		$chalak_driving_school_logo_size = intval($chalak_driving_school_logo_size);

		if ($chalak_driving_school_logo_size >= 0 && $chalak_driving_school_logo_size <= 100) {
			$calculated_width = $chalak_driving_school_logo_size * 3.5;
			$chalak_driving_school_custom_style .= '.custom-logo-link img {';
			$chalak_driving_school_custom_style .= ' width: ' . esc_attr($calculated_width) . 'px !important;';
			$chalak_driving_school_custom_style .= ' }';
		}
	}

	// Optionally, print or enqueue the style if needed
	if (!empty($chalak_driving_school_custom_style)) {
		echo '<style>' . $chalak_driving_school_custom_style . '</style>';
	}


	// service section padding
	$chalak_driving_school_services_section_padding = get_theme_mod('chalak_driving_school_services_section_padding');

	if( $chalak_driving_school_services_section_padding != ''){
		$chalak_driving_school_custom_style .=' #our-services {';
			$chalak_driving_school_custom_style .=' padding-top: '.esc_attr($chalak_driving_school_services_section_padding).'px; padding-bottom: '.esc_attr($chalak_driving_school_services_section_padding).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	//Topbar
	if( get_theme_mod('chalak_driving_school_hide_show_topbar',false) == false){
		$chalak_driving_school_custom_style .=' .logo {';
			$chalak_driving_school_custom_style .=' padding: 10px;';
		$chalak_driving_school_custom_style .=' }';
	}

	// Site Title Font Size
	$chalak_driving_school_site_title_font_size = get_theme_mod('chalak_driving_school_site_title_font_size');
	if( $chalak_driving_school_site_title_font_size != ''){
		$chalak_driving_school_custom_style .=' .logo h1.site-title, .logo p.site-title {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_site_title_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}
	//Site title tagline color
	$chalak_driving_school_site_title_color = get_theme_mod('chalak_driving_school_site_title_color');
	if ( $chalak_driving_school_site_title_color != '') {
		$chalak_driving_school_custom_style .=' .logo p.site-title a{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_site_title_color).' !important;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_site_tagline_color = get_theme_mod('chalak_driving_school_site_tagline_color');
	if ( $chalak_driving_school_site_tagline_color != '') {
		$chalak_driving_school_custom_style .=' .logo p{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_site_tagline_color).' !important;';
		$chalak_driving_school_custom_style .=' }';
	}

	// Site Tagline Font Size
	$chalak_driving_school_site_tagline_font_size = get_theme_mod('chalak_driving_school_site_tagline_font_size');
	if( $chalak_driving_school_site_tagline_font_size != ''){
		$chalak_driving_school_custom_style .=' .logo p.site-description {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_site_tagline_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_slider_hide_show = get_theme_mod('chalak_driving_school_slider_hide_show',false);
	if( $chalak_driving_school_slider_hide_show == true){
		$chalak_driving_school_custom_style .=' .page-template-custom-home-page #inner-pages-header {';
			$chalak_driving_school_custom_style .=' display:none;';
		$chalak_driving_school_custom_style .=' }';
	}

	//Menu animation
	$chalak_driving_school_dropdown_anim = get_theme_mod('chalak_driving_school_dropdown_anim');

	if ( $chalak_driving_school_dropdown_anim != '') {
		$chalak_driving_school_custom_style .=' .nav-menu ul ul {';
			$chalak_driving_school_custom_style .=' animation:'.esc_attr($chalak_driving_school_dropdown_anim).' 1s ease;';
		$chalak_driving_school_custom_style .=' }';
	}

	// Copyright padding
	$chalak_driving_school_copyright_padding = get_theme_mod('chalak_driving_school_copyright_padding');

	if( $chalak_driving_school_copyright_padding != ''){
		$chalak_driving_school_custom_style .=' .copyright {';
			$chalak_driving_school_custom_style .=' padding-top: '.esc_attr($chalak_driving_school_copyright_padding).'px; padding-bottom: '.esc_attr($chalak_driving_school_copyright_padding).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_footer_copy_font_size = get_theme_mod('chalak_driving_school_footer_copy_font_size');
	if( $chalak_driving_school_footer_copy_font_size != ''){
		$chalak_driving_school_custom_style .=' .site-info p, .site-info a {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_footer_copy_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	//Header contact color
	$chalak_driving_school_header_epicon_color = get_theme_mod('chalak_driving_school_header_epicon_color');
	if ( $chalak_driving_school_header_epicon_color != '') {
		$chalak_driving_school_custom_style .=' .top span a i{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_header_epicon_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_header_eptext_color = get_theme_mod('chalak_driving_school_header_eptext_color');
	if ( $chalak_driving_school_header_eptext_color != '') {
		$chalak_driving_school_custom_style .=' .top span a {';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_header_eptext_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_header_menu_color = get_theme_mod('chalak_driving_school_header_menu_color');
	if ( $chalak_driving_school_header_menu_color != '') {
		$chalak_driving_school_custom_style .=' .nav-menu a {';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_header_menu_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_header_menuhvr_color = get_theme_mod('chalak_driving_school_header_menuhvr_color');
	if ( $chalak_driving_school_header_menuhvr_color != '') {
		$chalak_driving_school_custom_style .=' .nav-menu a:hover {';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_header_menuhvr_color).' !important;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_header_topbg_color = get_theme_mod('chalak_driving_school_header_topbg_color');
	if ( $chalak_driving_school_header_topbg_color != '') {
		$chalak_driving_school_custom_style .=' .top {';
			$chalak_driving_school_custom_style .=' background: linear-gradient(60deg, transparent 45%, '.esc_attr($chalak_driving_school_header_topbg_color).' 40%);';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_header_btmbg_color = get_theme_mod('chalak_driving_school_header_btmbg_color');
	if ( $chalak_driving_school_header_btmbg_color != '') {
		$chalak_driving_school_custom_style .=' header#header {';
			$chalak_driving_school_custom_style .=' background-color:'.esc_attr($chalak_driving_school_header_btmbg_color).' !important;';
		$chalak_driving_school_custom_style .=' }';
	}

	//Social color
	$chalak_driving_school_header_color = get_theme_mod('chalak_driving_school_header_color');

	if ( $chalak_driving_school_header_color != '') {
		$chalak_driving_school_custom_style .=' .social-icons i{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_header_color).' !important;';
		$chalak_driving_school_custom_style .=' }';
	}

	//Slider color
	$chalak_driving_school_slider_title_font_size = get_theme_mod('chalak_driving_school_slider_title_font_size');

	if( $chalak_driving_school_slider_title_font_size != ''){
		$chalak_driving_school_custom_style .=' #slider .inner_carousel h1 {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_slider_title_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_slider_text_font_size = get_theme_mod('chalak_driving_school_slider_text_font_size');

	if( $chalak_driving_school_slider_text_font_size != ''){
		$chalak_driving_school_custom_style .=' #slider .inner_carousel p {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_slider_text_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_slider_color = get_theme_mod('chalak_driving_school_slider_color');

	if ( $chalak_driving_school_slider_color != '') {
		$chalak_driving_school_custom_style .=' #slider .inner_carousel h1{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_slider_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_slidertext_color = get_theme_mod('chalak_driving_school_slidertext_color');

	if ( $chalak_driving_school_slidertext_color != '') {
		$chalak_driving_school_custom_style .=' #slider .inner_carousel p{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_slidertext_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_sliderbtn_color = get_theme_mod('chalak_driving_school_sliderbtn_color');
	$chalak_driving_school_sliderbtnbg_color = get_theme_mod('chalak_driving_school_sliderbtnbg_color');
	if ( $chalak_driving_school_sliderbtn_color != '') {
		$chalak_driving_school_custom_style .=' #slider .read-btn a.blogbutton-small{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_sliderbtn_color).'; background-color:'.esc_attr($chalak_driving_school_sliderbtnbg_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_sliderbg_color = get_theme_mod('chalak_driving_school_sliderbg_color');

	if ( $chalak_driving_school_sliderbg_color != '') {
		$chalak_driving_school_custom_style .=' #slider .carousel-caption{';
			$chalak_driving_school_custom_style .=' background-color:'.esc_attr($chalak_driving_school_sliderbg_color).';';
		$chalak_driving_school_custom_style .=' }';
	}

	//service color
	$chalak_driving_school_our_services_section_title_font_size = get_theme_mod('chalak_driving_school_our_services_section_title_font_size');

	if( $chalak_driving_school_our_services_section_title_font_size != ''){
		$chalak_driving_school_custom_style .=' #our-services h2 {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_our_services_section_title_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_our_services_title_font_size = get_theme_mod('chalak_driving_school_our_services_title_font_size');

	if( $chalak_driving_school_our_services_title_font_size != ''){
		$chalak_driving_school_custom_style .=' #our-services .content h3 {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_our_services_title_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_our_services_text_font_size = get_theme_mod('chalak_driving_school_our_services_text_font_size');

	if( $chalak_driving_school_our_services_text_font_size != ''){
		$chalak_driving_school_custom_style .=' #our-services .content p {';
			$chalak_driving_school_custom_style .=' font-size: '.esc_attr($chalak_driving_school_our_services_text_font_size).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_img_hight = get_theme_mod('chalak_driving_school_img_hight');

	if( $chalak_driving_school_img_hight != ''){
		$chalak_driving_school_custom_style .=' .service-img img {';
			$chalak_driving_school_custom_style .=' width: '.esc_attr($chalak_driving_school_img_hight).'px; height: '.esc_attr($chalak_driving_school_img_hight).'px;';
		$chalak_driving_school_custom_style .=' }';
	}

	$chalak_driving_school_service_color = get_theme_mod('chalak_driving_school_service_color');

	if ( $chalak_driving_school_service_color != '') {
		$chalak_driving_school_custom_style .=' #our-services .content h3 a,#our-services .read-btn a.blogbutton-small{';
			$chalak_driving_school_custom_style .=' color:'.esc_attr($chalak_driving_school_service_color).';';
		$chalak_driving_school_custom_style .=' }';
	}